Subject: bug#55527: 28.1; Clearer abbrev docstrings

From: Juri Linkov <[email-masked]>
Date: Fri, 20 May 2022 10:41:56 +0300

> When using abbrev commands I'm always confused by which 
> is the abbrev and which is the expansion.  I think there are a 
> few reasons for this.

The unhelpful abbrev docstrings and prompts is a known problem.
Recently I tried to ameliorate this problem by adding these new sections
to the docstrings:

  See also ‘inverse-add-global-abbrev’, which performs the opposite task:
  if the abbrev text is already in the buffer, use this command to
  define an abbrev by specifying the expansion in the minibuffer.

and

  See also ‘add-global-abbrev’, which performs the opposite task:
  if the expansion is already in the buffer, use this command
  to define an abbrev by specifying the abbrev in the minibuffer.

So every time I use this feature, I have to consult these parts
of docstrings to recall what these commands do.

> I think these would be clearer:
>
>     Use word(s) before point as the expansion of a new global abbrev.
>     Use word before point as the abbreviation of a new global abbrev.
>
> [...]
>
> 	Global abbrev for expansion "foo":
> 	Global expansion of abbrev "foo":

Thanks, these and other such changes would be much of help.